summaryrefslogtreecommitdiff
path: root/meta/recipes-connectivity/connman/connman-0.56
diff options
context:
space:
mode:
authorDongxiao Xu <dongxiao.xu@intel.com>2010-08-26 13:37:52 +0800
committerRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:46:55 +0100
commitca4a58a4eb66e6e08f358de7f8869a35389ee605 (patch)
tree915bdde88c353517b1763907ca41c02745635bc2 /meta/recipes-connectivity/connman/connman-0.56
parentf6917ad47b0425f9ccb3965aa9220ed3ba0e49ec (diff)
downloadopenembedded-core-ca4a58a4eb66e6e08f358de7f8869a35389ee605.tar.gz
openembedded-core-ca4a58a4eb66e6e08f358de7f8869a35389ee605.tar.bz2
openembedded-core-ca4a58a4eb66e6e08f358de7f8869a35389ee605.tar.xz
openembedded-core-ca4a58a4eb66e6e08f358de7f8869a35389ee605.zip
connman: Use connman as default network management tool
Upgrade connman to version 0.56 Modify connman-gnome to match the recent version of connman Deprecate networkmanager Signed-off-by: Dongxiao Xu <dongxiao.xu@intel.com>
Diffstat (limited to 'meta/recipes-connectivity/connman/connman-0.56')
-rwxr-xr-xmeta/recipes-connectivity/connman/connman-0.56/connman42
-rw-r--r--meta/recipes-connectivity/connman/connman-0.56/dbusperms.patch12
2 files changed, 54 insertions, 0 deletions
diff --git a/meta/recipes-connectivity/connman/connman-0.56/connman b/meta/recipes-connectivity/connman/connman-0.56/connman
new file mode 100755
index 000000000..f8154f68f
--- /dev/null
+++ b/meta/recipes-connectivity/connman/connman-0.56/connman
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+DAEMON=/usr/sbin/connmand
+PIDFILE=/var/run/connmand.pid
+DESC="Connection Manager"
+
+if [ -f /etc/default/connman ] ; then
+ . /etc/default/connman
+fi
+
+set -e
+
+do_start() {
+ $DAEMON
+}
+
+do_stop() {
+ start-stop-daemon --stop --name connmand --quiet
+}
+
+case "$1" in
+ start)
+ echo "Starting $DESC"
+ do_start
+ ;;
+ stop)
+ echo "Stopping $DESC"
+ do_stop
+ ;;
+ restart|force-reload)
+ echo "Restarting $DESC"
+ do_stop
+ sleep 1
+ do_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/meta/recipes-connectivity/connman/connman-0.56/dbusperms.patch b/meta/recipes-connectivity/connman/connman-0.56/dbusperms.patch
new file mode 100644
index 000000000..100af0367
--- /dev/null
+++ b/meta/recipes-connectivity/connman/connman-0.56/dbusperms.patch
@@ -0,0 +1,12 @@
+Index: git/src/connman-dbus.conf
+===================================================================
+--- git.orig/src/connman-dbus.conf 2009-05-26 00:34:35.000000000 +0100
++++ git/src/connman-dbus.conf 2009-05-26 00:34:48.000000000 +0100
+@@ -10,6 +10,6 @@
+ <allow send_destination="org.moblin.connman"/>
+ </policy>
+ <policy context="default">
+- <deny send_destination="org.moblin.connman"/>
++ <allow send_destination="org.moblin.connman"/>
+ </policy>
+ </busconfig>